Name:           brightside
Version:        1.4.0
Release:        0.fdr.3.2
Epoch:          0
Summary:        Add reactivity to the corners and edges of your GNOME desktop.

Group:          Applications/Productivity
License:        GPL
URL:            http://home.jesus.ox.ac.uk/~ecatmur/brightside/
Source0:        http://home.jesus.ox.ac.uk/~ecatmur/brightside/download/brightside-1.4.0.tar.bz2
Patch0:		%{name}-gconf-mouse-speed.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre):  GConf2 
Requires(post): GConf2
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  libwnck-devel >= 0:2.6.0
BuildRequires:  libgnomeui-devel >= 0:2.6.0
BuildRequires:  libglade2-devel >= 0:2.2.0


%description
Brightside provides "edge flipping" to allow you to switch to the adjacent 
workspace simply by pressing your mouse against the edge of the screen.

Besides that Brightside also allows you to assign configurable actions to 
occur while you rest the mouse in a corner of the screen.

%prep
%setup -q
%patch0 -b .patch0 


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
# For GConf apps: prevent schemas from being installed at this stage
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
# Note: the find_lang macro requires gettext
%find_lang Brightside

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%check || :
#make test
#make check


%clean
rm -rf $RPM_BUILD_ROOT

%post
# For GConf apps: install schemas as system default
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null

%preun
# For GConf apps: uninstall app's system default schemas
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :


%files -f Brightside.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_bindir}/*
%{_datadir}/%{name}
%{_sysconfdir}/gconf/schemas/brightside.schemas
%{_datadir}/pixmaps/brightside-48.png
%{_datadir}/control-center-2.0/capplets/brightside.desktop


%changelog
* Wed Dec 08 2004 Thorsten Leemhuis <fedora[AT]leemhuis[dot]info> - 0:1.4.0-0.fdr.3
- BR intltool

* Sun Dec 05 2004 Thorsten Leemhuis <fedora[AT]leemhuis[dot]info> - 0:1.4.0-0.fdr.2
- Applied gconf-patch from Adrian Reber

* Tue Nov 30 2004 Thorsten Leemhuis <fedora[AT]leemhuis[dot]info> - 0:1.4.0-0.fdr.1
- Initial RPM release.
